.. _asizeof :

=========================
Sizing individual objects
=========================

Introduction
------------

.. automodule:: pympler.asizeof
   :noindex:

Asizer
------

.. autoclass:: Asized
   :noindex:

.. autoclass:: Asizer
   :noindex:
   :members: asized, asizeof, asizesof, exclude_refs, exclude_types, print_profiles, print_stats, print_summary, print_typedefs, set, reset


Public Functions
----------------

.. autofunction:: adict
   :noindex:
.. autofunction:: asized
   :noindex:
.. autofunction:: asizeof
   :noindex:
.. autofunction:: asizesof
   :noindex:
.. autofunction:: basicsize
   :noindex:
.. autofunction:: flatsize
   :noindex:
.. autofunction:: itemsize
   :noindex:
.. autofunction:: leng
   :noindex:
.. autofunction:: refs
   :noindex:
